/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package batik;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerConfigurationException;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;
import org.w3c.dom.DOMImplementation;
import org.apache.batik.dom.svg.SVGDOMImplementation;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 *
 * @author bar
 */
public class Batik {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws TransformerConfigurationException, TransformerException, FileNotFoundException {
        String svgNS = SVGDOMImplementation.SVG_NAMESPACE_URI;
        
        DOMImplementation domImpl = SVGDOMImplementation.getDOMImplementation();
        SVGDOMImplementation svgDOMImpl = new SVGDOMImplementation();
        Document doc = domImpl.createDocument(svgNS, "svg", null);

        Element svgRoot = doc.getDocumentElement();

        svgRoot.setAttributeNS(null,"width", "400");
        svgRoot.setAttributeNS(null, "height","450");

        Element desc = doc.createElementNS(svgNS,"desc");
        desc.setTextContent("Jednoduchá ukázka vytvoření SVG obrázku pomocí knihovny Batik, která obsahuje žlutý obdélník s červeným okrajem.");
        Element rectangle = doc.createElementNS(svgNS, "rect");
        rectangle.setAttributeNS(null, "x", "10");
        rectangle.setAttributeNS(null, "y", "100");
        rectangle.setAttributeNS(null, "width", "200");
        rectangle.setAttributeNS(null, "height", "100");
        rectangle.setAttributeNS(null, "fill", "yellow");
        rectangle.setAttributeNS(null,"stroke","red");
        svgRoot.appendChild(desc);
        svgRoot.appendChild(rectangle);

        TransformerFactory tf = TransformerFactory.newInstance();
        Transformer trace = tf.newTransformer();
        trace.transform(new DOMSource(doc), new StreamResult(new FileOutputStream("sample.svg")));

        // TODO code application logic here
    }

}
